<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number78</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.78:</b> Write a JavaScript program to test if an array of integers of length 2 does not contain 1 or a 3. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
		<input type="number" id="num1" placeholder="Numbers of Array elements!" style="width: 200px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	<script>
	  function generate() {
		  var num = + document.getElementById('num1').value;
		  var arr = [] ;
		  if (num>0) {
			  for ( i=0 ; i<num ; i++) {
				  arr.push(prompt("Enter Element Number" +(i+1)));
				  arr.map(Number);
				  if ( arr[i] == 1 || arr[i] == 3) {
					  document.getElementById('demo').innerHTML=
						  "Array You Entered is:<br> [ " + arr.join(" ,") + " ]" +
						  "<br>And the condition is: <br>" + Boolean(0);
				  } else {
					  document.getElementById('demo').innerHTML=
						  "Array You Entered is:<br> [ " + arr.join(" ,") + " ]" +
						  "<br>And the condition is: <br>" + Boolean(1);
				  }
			  }
		  } else {
			  document.getElementById('demo').innerHTML=
						  " Array Must have Positive Number!";
		  }
		  
	  }
	</script>
</body>
</html>
